/*
File: flexie.js

About: Version
	1.0.3

Project: Flexie

Description:
	Legacy support for the CSS3 Flexible Box Model

License:
	The MIT License
	
	Copyright (c) 2010 Richard Herrera

	Permission is hereby granted, free of charge, to any person obtaining a copy
	of this software and associated documentation files (the "Software"), to deal
	in the Software without restriction, including without limitation the rights
	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	copies of the Software, and to permit persons to whom the Software is
	furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in
	all copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
	THE SOFTWARE.
*/

/*
Class: Flexie
	Scoped to the Flexie Global Namespace
*/

/*jslint evil: true, regexp: false, plusplus: false */
/*global window, document */

if (document.documentMode < 10) var Flexie = function (n, H) {
  function G(a) { a && (a = a.replace(wa, v).replace(xa, v)); return a } function ya() { var a = X, e, c, b; for (c in a) if (a.hasOwnProperty(c) && (b = a[c], n[c] && !e && (e = eval(b.s.replace("*", c))))) { Y = c; break } return e } function Z(a, e) { a = "on" + a; var c = n[a]; n[a] = "function" !== typeof n[a] ? e : function () { c && c(); e() } } function $(a) { var e = a.nodeName.toLowerCase(); a.id ? e += "#" + a.id : a.FLX_DOM_ID && (e += "[" + aa + "='" + a.FLX_DOM_ID + "']"); return e } function U(a) { a.FLX_DOM_ID || (I += 1, a.FLX_DOM_ID = I, a.setAttribute(aa, a.FLX_DOM_ID)) }
  function za(a) {
    var e, c, b, d, f = /\s?,\s?/, g, h, l, k = {}, w = {}, t, q, E, M, ba, R, m, ca; g = function (a, b, c, e) { var d, f, g; a = { selector: G(a), properties: [] }; d = 0; for (f = b.properties.length; d < f; d++) g = b.properties[d], a.properties.push({ property: G(g.property), value: G(g.value) }); c && e && (a[c] = e); return a }; h = function (a, b, c, e) {
      var d = c && e ? k[a] : w[a], f, h, E, l, M; if (d) {
        f = 0; for (h = b.properties.length; f < h; f++) { E = b.properties[f]; l = 0; for (M = d.properties.length; l < M; l++) if (a = d.properties[l], E.property === a.property) return !1; d.properties.push(E) } c &&
        e && (d[c] = e)
      } else c && e ? k[a] = g(a, b, c, e) : w[a] = g(a, b, s, s)
    }; t = 0; for (q = a.length; t < q; t++) for (E = a[t], e = G(E.selector).replace(f, ",").split(f), M = 0, ba = e.length; M < ba; M++) for (R = G(e[M]), c = E.properties, m = 0, ca = c.length; m < ca; m++) if (d = c[m], b = G(d.property), d = G(d.value), b) switch (b = b.replace("box-", v), b) { case "display": "box" === d && h(R, E, s, s); break; case "orient": case "align": case "direction": case "pack": h(R, E, s, s); break; case "flex": case "flex-group": case "ordinal-group": h(R, E, b, d) } for (l in w) w.hasOwnProperty(l) && r.push(w[l]);
    for (l in k) k.hasOwnProperty(l) && da.push(k[l]); return { boxes: r, children: da }
  } function ea(a, e, c) { var b, d, f = [], g, h, l, k, w, m, q; g = 0; for (h = c.length; g < h; g++) if (l = c[g], l.selector) { if (b = e(l.selector), b = b[0] ? b : [b], b[0]) for (k = 0, w = b.length; k < w; k++) if (m = b[k], m.nodeName !== fa) switch (m.nodeName.toLowerCase()) { case "script": case "style": case "link": break; default: if (m.parentNode === a) { U(m); d = {}; for (q in l) l.hasOwnProperty(q) && (d[q] = l[q]); d.match = m; f.push(d) } } } else U(l), f.push({ match: l, selector: $(l) }); return f } function ga(a,
  e, c) { c = c.replace(c.charAt(0), c.charAt(0).toUpperCase()); c = a["offset" + c] || 0; var b, d, f; if (c) for (b = 0, d = e.length; b < d; b++) f = parseFloat(a.currentStyle[e[b]]), isNaN(f) || (c -= f); return c } function ha(a, e) { var c, b, d = a.currentStyle && a.currentStyle[e], f = a.style; !ia.test(d) && Aa.test(d) && (c = f.left, b = a.runtimeStyle.left, a.runtimeStyle.left = a.currentStyle.left, f.left = d || 0, d = f.pixelLeft + "px", f.left = c || 0, a.runtimeStyle.left = b); return d } function p(a, e, c) {
    if (a !== fa) {
      if (n.getComputedStyle) a = n.getComputedStyle(a, s)[e];
      else if (Ba.test(e)) { var b = a && a.currentStyle ? a.currentStyle[e] : 0; if (!ia.test(b)) { if ("auto" === b || "medium" === b) { switch (e) { case "width": b = [ja, ka, la, ma]; b = ga(a, b, e); break; case "height": b = [P, na, oa, pa]; b = ga(a, b, e); break; default: b = ha(a, e) } a = b } else a = ha(a, e); b = a } a = b } else a = a.currentStyle[e]; c && (a = parseInt(a, 10), isNaN(a) && (a = 0)); return a
    }
  } function Ca(a) { return a.innerWidth || a.clientWidth } function Da(a) { return a.innerHeight || a.clientHeight } function V(a, e, c, b) {
    var d = [], f, g, h; f = 0; for (g = qa.length; f < g; f++) h = qa[f],
    d.push((b ? h : v) + e + ":" + (b ? v : h) + c); a.style.cssText += d.join(";"); return a
  } function z(a, e, c) { var b = a && a[0] ? a : [a], d, f; d = 0; for (f = b.length; d < f; d++) (a = b[d]) && a.style && (a.style[e] = c ? c + "px" : v) } function Ea(a) { var e, c, b, d; a = a.replace(Fa, function (a, b) { return "%" + b }).replace(/\s|\>|\+|\~/g, "%").split(/%/g); c = e = 0; for (b = a.length; c < b; c++) d = a[c], /#/.test(d) ? e += 100 : /\.|\[|\:/.test(d) ? e += 10 : /[a-zA-Z]+/.test(d) && (e += 1); return e } function Ga(a, e, c) {
    e = []; var b, d = (c ? "ordinal" : "flex") + "Specificity", f, g, h, l, k, m; f = 0; for (g = a.length; f <
    g; f++) if (h = a[f], !c && h.flex || c && h["ordinal-group"]) { h[d] = h[d] || Ea(h.selector); b = Q; l = 0; for (k = e.length; l < k; l++) if (m = e[l], m.match === h.match) return m[d] < h[d] && (e[g] = h), Q; b || e.push(h) } return e
  } function N(a, e, c) {
    var b = {}, d = [], f = 0, g, h, l, k, m, t, q, E; a = Ga(a, e, c); h = 0; for (l = e.length; h < l; h++) {
      k = e[h]; m = 0; for (t = a.length; m < t; m++) q = a[m], c ? (g = q["ordinal-group"] || "1", q.match === k && (q.match.setAttribute("data-ordinal-group", g), b[g] = b[g] || [], b[g].push(q))) : (g = q.flex || "0", q.match === k && (!q[g] || q[g] && 1 >= parseInt(q[g], 10)) &&
      (f += parseInt(g, 10), b[g] = b[g] || [], b[g].push(q))); c && !k.getAttribute("data-ordinal-group") && (g = "1", k.setAttribute("data-ordinal-group", g), b[g] = b[g] || [], b[g].push({ match: k }))
    } for (E in b) b.hasOwnProperty(E) && d.push(E); d.sort(function (a, b) { return b - a }); return { keys: d, groups: b, total: f }
  } function Ha(a, e) {
    if (!ra) {
      var c, b, d, f, g = H.body, h = H.documentElement, l; Z("resize", function () {
        l && window.clearTimeout(l); l = window.setTimeout(function () {
          d = n.innerWidth || h.innerWidth || h.clientWidth || g.clientWidth; f = n.innerHeight ||
          h.innerHeight || h.clientHeight || g.clientHeight; if (c !== d || b !== f) A.updateInstance(s, s), c = d, b = f
        }, 150)
      }); ra = m
    }
  } function sa(a) { var e, c, b, d, f; e = 0; for (c = a.length; e < c; e++) b = a[e], d = b.style.width, f = b.style.height, b.style.cssText = v, b.style.width = d, b.style.height = f } function J(a, e) {
    var c = [], b, d, f; d = 0; for (f = e.length; d < f; d++) if (b = e[d]) switch (b.nodeName.toLowerCase()) {
      case "script": case "style": case "link": break; default: 1 === b.nodeType ? c.push(b) : 3 === b.nodeType && (b.isElementContentWhitespace || Ia.test(b.data)) && (a.removeChild(b),
      d--)
    } return c
  } function ta(a) { var e = 0; a = a.parentNode; for (var c; a.FLX_DOM_ID;) c = r[a.FLX_DOM_ID], c = N(c.children, J(a, a.childNodes), s), e += c.total, c = m, a = a.parentNode; return { nested: c, flex: e } } function Ja(a, e) {
    var c = a.target; c.FLX_DOM_ID || (c.FLX_DOM_ID = c.FLX_DOM_ID || ++I); a.nodes || (a.nodes = J(c, c.childNodes)); a.selector || (a.selector = $(c), c.setAttribute(S, m)); a.properties || (a.properties = []); a.children || (a.children = ea(c, O, J(c, c.childNodes))); a.nested || (a.nested = a.selector + " [" + S + "]"); a.target = c; a._instance = e;
    return a
  } var A = {}, I = 0, aa = "data-flexie-id", S = "data-flexie-parent", y, Y, X = { NW: { s: "*.Dom.select" }, DOMAssistant: { s: "*.$", m: "*.DOMReady" }, Prototype: { s: "$$", m: "document.observe", p: "dom:loaded", c: "document" }, YAHOO: { s: "*.util.Selector.query", m: "*.util.Event.onDOMReady", c: "*.util.Event" }, MooTools: { s: "$$", m: "window.addEvent", p: "domready" }, Sizzle: { s: "*" }, jQuery: { s: "*", m: "*(document).ready" }, dojo: { s: "*.query", m: "*.addOnLoad" } }, O, ia = /^-?\d+(?:px)?$/i, Aa = /^-?\d/, Ba = /width|height|margin|padding|border/, Ka = /(msie) ([\w.]+)/,
  La = /\t|\n|\r/g, Ma = /^max\-([a-z]+)/, Na = /^https?:\/\//i, wa = /^\s\s*/, xa = /\s\s*$/, Ia = /^\s*$/, Fa = /\s?(\#|\.|\[|\:(\:)?[^first\-(line|letter)|before|after]+)/g, v = "", ua = " ", T = "$1", ka = "paddingRight", na = "paddingBottom", ja = "paddingLeft", P = "paddingTop", ma = "borderRightWidth", pa = "borderBottomWidth", la = "borderLeftWidth", oa = "borderTopWidth", qa = " -o- -moz- -ms- -webkit- -khtml- ".split(ua), Oa = { orient: "horizontal", align: "stretch", direction: "inherit", pack: "start" }, r = [], da = [], W, ra, m = !0, Q = !1, s = null, fa, x = function () {
    var a,
    e = Ka.exec(n.navigator.userAgent.toLowerCase()); e && (a = parseInt(e[2], 10)); return a
  }(), va; va = function () {
    function a(a) { return a.replace(l, function (a, b, c) { var e, d; a = c.split(","); c = 0; for (e = a.length; c < e; c++) d = a[c], d.replace(k, T).replace(w, T).replace(q, T).replace(t, ua); return b + a.join(",") }) } function e() { if (n.XMLHttpRequest) return new n.XMLHttpRequest; try { return new n.ActiveXObject("Microsoft.XMLHTTP") } catch (a) { return s } } function c(a) {
      var b = e(); b.open("GET", a, Q); b.send(); b = 200 === b.status ? b.responseText : v;
      if (a === window.location.href) { a = b; for (var b = /<style[^<>]*>([^<>]*)<\/style[\s]?>/img, c = b.exec(a), d = []; c;) (c = c[1]) && d.push(c), c = b.exec(a); b = d.join("\n\n") } return b
    } function b(a, b) { if (a) { if (Na.test(a)) return b.substring(0, b.indexOf("/", 8)) === a.substring(0, a.indexOf("/", 8)) ? a : s; if ("/" === a.charAt(0)) return b.substring(0, b.indexOf("/", 8)) + a; var c = b.split("?")[0]; "?" !== a.charAt(0) && "/" !== c.charAt(c.length - 1) && (c = c.substring(0, c.lastIndexOf("/") + 1)); return c + a } } function d(a) {
      return a ? c(a).replace(f, v).replace(g,
      function (c, e, f, g, h, k) { c = d(b(f || h, a)); return k ? "@media " + k + " {" + c + "}" : c }).replace(h, function (c, e, d, f) { d = d || v; return e ? c : " url(" + d + b(f, a, !0) + d + ") " }) : v
    } var f = /(\/\*[^*]*\*+([^\/][^*]*\*+)*\/)\s*?/g, g = /@import\s*(?:(?:(?:url\(\s*(['"]?)(.*)\1)\s*\))|(?:(['"])(.*)\3))\s*([^;]*);/g, h = /(behavior\s*?:\s*)?\burl\(\s*(["']?)(?!data:)([^"')]+)\2\s*\)/g, l = /((?:^|(?:\s*\})+)(?:\s*@media[^\{]+\{)?)\s*([^\{]*?[\[:][^{]+)/g, k = /([(\[+~])\s+/g, w = /\s+([)\]+~])/g, t = /\s+/g, q = /^\s*((?:[\S\s]*\S)?)\s*$/; return function () {
      var c,
      e = [], f, g; f = H.getElementsByTagName("BASE"); var h = 0 < f.length ? f[0].href : H.location.href, k = H.styleSheets, l, q; f = 0; for (g = k.length; f < g; f++) c = k[f], c != s && e.push(c); e.push(window.location); f = 0; for (g = e.length; f < g; f++) if (c = e[f]) if ((c = b(c.href, h)) && (l = a(d(c))), l) {
        q = l; c = []; var w = k = void 0, t = void 0, p = t = w = void 0, n = void 0, z = void 0, y = void 0, p = void 0; q = q.replace(La, v); q = q.replace(/\s?(\{|\:|\})\s?/g, T); k = q.split("}"); for (z in k) if (k.hasOwnProperty(z) && (q = k[z]) && (w = [q, "}"].join(v), (t = /(\@media[^\{]+\{)?(.*)\{(.*)\}/.exec(w)) &&
        t[3])) { w = t[2]; t = t[3].split(";"); n = []; for (y in t) t.hasOwnProperty(y) && (p = t[y], p = p.split(":"), p.length && p[1] && n.push({ property: p[0], value: p[1] })); w && n.length && c.push({ selector: w, properties: n }) } q = c; q = za(q)
      } var e = q, K, u, B, C, z = {}, F, y = "[" + S + "]", D, x, L, J, I, N, P; if (e) {
        w = 0; for (t = e.boxes.length; w < t; w++) {
          B = e.boxes[w]; B.selector = G(B.selector); l = B.selector; f = B.properties; g = h = q = c = k = s; n = 0; for (p = f.length; n < p; n++) if (C = f[n], K = G(C.property), u = G(C.value), K) switch (K = K.replace("box-", v), K) {
            case "display": "box" === u && (g = u);
              break; case "orient": h = u; break; case "align": q = u; break; case "direction": c = u; break; case "pack": k = u
          } K = O; B = K(B.selector); B = B[0] ? B : [B]; n = 0; for (p = B.length; n < p; n++) if (u = B[n], u.nodeType) if (U(u), C = ea(u, K, e.children), F = l + " " + y, C = { target: u, selector: l, properties: f, children: C, display: g, orient: h, align: q, direction: c, pack: k, nested: F }, F = z[u.FLX_DOM_ID]) for (D in C) {
            if (C.hasOwnProperty(D)) switch (u = C[D], D) {
              case "selector": u && !RegExp(u).test(F[D]) && (F[D] += ", " + u); break; case "children": x = 0; for (L = C[D].length; x < L; x++) {
                J =
                C[D][x]; u = Q; I = 0; for (N = F[D].length; I < N; I++) P = F[D][I], J.match.FLX_DOM_ID === P.match.FLX_DOM_ID && (u = m); u || F[D].push(J)
              } break; default: u && (F[D] = u)
            }
          } else { F = z; x = u.FLX_DOM_ID; L = void 0; for (L in C) C.hasOwnProperty(L) && (C[L] = C[L] || Oa[L]); F[x] = C; z[u.FLX_DOM_ID].target.setAttribute(S, m) }
        } W = O(y); r = {}; w = 0; for (t = W.length; w < t; w++) u = W[w], r[u.FLX_DOM_ID] = z[u.FLX_DOM_ID]; for (D in r) r.hasOwnProperty(D) && (B = r[D], "box" === B.display && new A.box(B))
      }
    }
  }(); A.box = function (a) { return this.renderModel(a) }; A.box.prototype = {
    properties: {
      boxModel: function (a,
      e, c) {
        var b, d, f, g, h; a.style.display = "block"; 8 === x && (a.style.overflow = "hidden"); if (!c.cleared) {
          e = c.selector.split(/\s?,\s?/); b = H.styleSheets; b = b[b.length - 1]; d = "padding-top:" + (p(a, P, s) || "0.1px;"); f = 0; for (g = e.length; f < g; f++) h = e[f], b.addRule ? 8 > x ? (a.style.zoom = "1", 6 === x ? b.addRule(h.replace(/\>|\+|\~/g, ""), d + "zoom:1;", 0) : 7 === x && b.addRule(h, d + "display:inline-block;", 0)) : (b.addRule(h, d, 0), b.addRule(h + ":before", "content: '.';display: block;height: 0;overflow: hidden", 0), b.addRule(h + ":after", "content: '.';display: block;height: 0;overflow: hidden;clear:both;",
          0)) : b.insertRule && (b.insertRule(h + "{" + d + "}", 0), b.insertRule(h + ":after{content: '.';display: block;height: 0;overflow: hidden;clear:both;}", 0)); c.cleared = m
        }
      }, boxDirection: function (a, e, c) { var b, d, f; if ("reverse" === c.direction && !c.reversed || "normal" === c.direction && c.reversed) { e = e.reverse(); b = 0; for (d = e.length; b < d; b++) f = e[b], a.appendChild(f); a = O(c.nested); b = 0; for (d = a.length; b < d; b++) e = a[b], (e = r[e.FLX_DOM_ID]) && "inherit" === e.direction && (e.direction = c.direction); c.reversed = !c.reversed } }, boxOrient: function (a,
      e, c) {
        var b, d, f, g; a = { pos: "marginLeft", opp: "marginRight", dim: "width", out: "offsetWidth", func: Ca, pad: [ja, ka, la, ma] }; b = { pos: "marginTop", opp: "marginBottom", dim: "height", out: "offsetHeight", func: Da, pad: [P, na, oa, pa] }; if (!y) for (d = 0, f = e.length; d < f; d++) { g = e[d]; g.style[9 <= x ? "cssFloat" : "styleFloat"] = "left"; if ("vertical" === c.orient || "block-axis" === c.orient) g.style.clear = "left"; 6 === x && (g.style.display = "inline") } switch (c.orient) {
          case "vertical": case "block-axis": this.props = b; this.anti = a; break; default: this.props = a,
          this.anti = b
        }
      }, boxOrdinalGroup: function (a, e, c) { var b, d; e.length && (b = function (b) { b = b.keys; b = c.reversed ? b : b.reverse(); var d, h, l, k, m, t; d = 0; for (h = b.length; d < h; d++) for (l = b[d], k = 0, m = e.length; k < m; k++) t = e[k], l === t.getAttribute("data-ordinal-group") && a.appendChild(t) }, d = N(c.children, e, m), 1 < d.keys.length && b(d)) }, boxFlex: function (a, e, c) {
        var b = this, d, f, g, h; e.length && (d = function (a) {
          var c = a.groups; a = a.keys; var e, d, f, g, h, m, p, n, r, v; d = 0; for (f = a.length; d < f; d++) for (g = a[d], h = 0, m = c[g].length; h < m; h++) {
            p = c[g][h]; e = s; n = 0;
            for (r = p.properties.length; n < r; n++) v = p.properties[n], Ma.test(v.property) && (e = parseFloat(v.value)); (!e || p.match[b.props.out] > e) && z(p.match, b.props.pos, s)
          }
        }, f = function (c) { var d = 0, f, g, h, n, s, r; f = 0; for (g = e.length; f < g; f++) { h = e[f]; d += p(h, b.props.dim, m); n = 0; for (s = b.props.pad.length; n < s; n++) r = b.props.pad[n], d += p(h, r, m); d += p(h, b.props.pos, m); d += p(h, b.props.opp, m) } d = a[b.props.out] - d; f = 0; for (g = b.props.pad.length; f < g; f++) r = b.props.pad[f], d -= p(a, r, m); return { whitespace: d, ration: d / c.total } }, g = function (a, c) {
          var d =
          a.groups, e = a.keys, f, g, h = c.ration, n, r, s, v, y, A, x; r = 0; for (s = e.length; r < s; r++) for (v = e[r], n = h * v, y = 0, A = d[v].length; y < A; y++) if (x = d[v][y], x.match && (f = x.match.getAttribute("data-flex"), g = x.match.getAttribute("data-specificity"), !f || g <= x.flexSpecificity)) x.match.setAttribute("data-flex", v), x.match.setAttribute("data-specificity", x.flexSpecificity), f = p(x.match, b.props.dim, m), f = Math.max(0, f + n), z(x.match, b.props.dim, f)
        }, h = N(c.children, e, s), h.total && (c.hasFlex = m, d(h), c = f(h), g(h, c)))
      }, boxAlign: function (a, e, c) {
        var b,
        d; b = ta(a); var f, g, h, l, k; if (!(y || b.flex || "vertical" !== c.orient && "block-axis" !== c.orient)) { a: { b = this.anti.dim; f = a.parentNode; if (f.FLX_DOM_ID) for (f = r[f.FLX_DOM_ID], g = 0, h = f.properties.length; g < h; g++) if (l = f.properties[g], RegExp(b).test(l.property)) { b = Q; break a } b = void 0 } b || z(a, this.anti.dim, s); z(e, this.anti.dim, s) } b = a[this.anti.out]; f = 0; for (g = this.anti.pad.length; f < g; f++) h = this.anti.pad[f], b -= p(a, h, m); switch (c.align) {
          case "start": break; case "end": f = 0; for (g = e.length; f < g; f++) k = e[f], d = b - k[this.anti.out], d -=
          p(k, this.anti.opp, m), z(k, this.anti.pos, d); break; case "center": f = 0; for (g = e.length; f < g; f++) k = e[f], d = (b - k[this.anti.out]) / 2, z(k, this.anti.pos, d); break; default: for (f = 0, g = e.length; f < g; f++) switch (k = e[f], k.nodeName.toLowerCase()) {
            case "button": case "input": case "select": break; default: c = d = 0; for (l = this.anti.pad.length; c < l; c++) h = this.anti.pad[c], d += p(k, h, m), d += p(a, h, m); k.style[this.anti.dim] = "100%"; z(k, this.anti.dim, s); d = b; d -= p(k, this.anti.pos, m); c = 0; for (l = this.anti.pad.length; c < l; c++) h = this.anti.pad[c], d -=
            p(k, h, m); d -= p(k, this.anti.opp, m); d = Math.max(0, d); z(k, this.anti.dim, d)
          }
        }
      }, boxPack: function (a, e, c) {
        var b = 0, d = 0, f = 0, g; g = e.length - 1; var h, l, k; h = 0; for (l = e.length; h < l; h++) d = e[h], b += d[this.props.out], b += p(d, this.props.pos, m), b += p(d, this.props.opp, m); d = p(e[0], this.props.pos, m); b = a[this.props.out] - b; h = 0; for (l = this.props.pad.length; h < l; h++) k = this.props.pad[h], b -= p(a, k, m); 0 > b && (b = Math.max(0, b)); switch (c.pack) {
          case "end": z(e[0], this.props.pos, f + d + b); break; case "center": f && (f /= 2); z(e[0], this.props.pos, f + d + Math.floor(b /
          2)); break; case "justify": for (c = Math.floor((f + b) / g), g = c * g - b, h = e.length - 1; h;) d = e[h], f = c, g && (f++, g++), f = p(d, this.props.pos, m) + f, z(d, this.props.pos, f), h--
        } a.style.overflow = ""
      }
    }, setup: function (a, e, c) {
      var b, d; if (a && e && c) if (y && y.partialSupport) b = N(c.children, e, s), d = ta(a), e = J(a, a.childNodes), this.properties.boxOrient.call(this, a, e, c), b.total && O(c.nested).length || ("stretch" !== c.align || (y.boxAlignStretch || d.nested && d.flex) || this.properties.boxAlign.call(this, a, e, c), "justify" !== c.pack || (y.boxPackJustify || b.total) ||
      this.properties.boxPack.call(this, a, e, c)); else if (!y) for (b in this.properties) this.properties.hasOwnProperty(b) && (e = this.properties[b], e.call(this, a, J(a, a.childNodes), c))
    }, trackDOM: function (a) { Ha(this, a) }, updateModel: function (a) {
      var e = a.target, c = a.nodes; sa(c); if (a.flexMatrix || a.ordinalMatrix) { var b, d, f; if (a.flexMatrix) for (b = 0, d = a.children.length; b < d; b++) f = a.children[b], f.flex = a.flexMatrix[b]; if (a.ordinalMatrix) for (b = 0, d = a.children.length; b < d; b++) f = a.children[b], f["ordinal-group"] = a.ordinalMatrix[b] } this.setup(e,
      c, a); this.bubbleUp(e, a)
    }, renderModel: function (a) { var e = this, c = a.target, b = c.childNodes; if (!c.length && !b) return !1; a = Ja(a, this); e.updateModel(a); n.setTimeout(function () { e.trackDOM(a) }, 0); return e }, bubbleUp: function (a, e) { for (var c, b = e.target.parentNode; b;) { if (c = r[b.FLX_DOM_ID]) sa(c.nodes), this.setup(c.target, c.nodes, c); b = b.parentNode } }
  }; A.updateInstance = function (a, e) {
    var c, b; if (a) (c = r[a.FLX_DOM_ID]) && c._instance ? c._instance.updateModel(c) : c || new A.box(e); else for (b in r) r.hasOwnProperty(b) && (c = r[b]) &&
    c._instance && c._instance.updateModel(c)
  }; A.getInstance = function (a) { return r[a.FLX_DOM_ID] }; A.destroyInstance = function (a) { var e, c, b, d, f; e = function (a) { a.target.FLX_DOM_ID = s; a.target.style.cssText = v; c = 0; for (b = a.children.length; c < b; c++) d = a.children[c], d.match.style.cssText = v }; if (a) (a = r[a.FLX_DOM_ID]) && e(a); else { for (f in r) r.hasOwnProperty(f) && e(r[f]); r = [] } }; A.flexboxSupport = function () {
    var a = {}, e, c = H.createElement("flxbox"), b, d, f; c.style.width = c.style.height = "100px"; c.innerHTML = '<b style="margin: 0; padding: 0; display:block; width: 10px; height:50px"></b><b style="margin: 0; padding: 0; display:block; width: 10px; height:50px"></b><b style="margin: 0; padding: 0; display:block; width: 10px; height:50px"></b>';
    V(c, "display", "box", s); V(c, "box-align", "stretch", m); V(c, "box-pack", "justify", m); H.body.appendChild(c); e = c.firstChild.offsetHeight; b = { boxAlignStretch: function () { return 100 === e }, boxPackJustify: function () { var a = 0, b, d; b = 0; for (d = c.childNodes.length; b < d; b++) a += c.childNodes[b].offsetLeft; return 135 === a } }; for (f in b) b.hasOwnProperty(f) && (d = b[f], d = d(), d || (a.partialSupport = m), a[f] = d); H.body.removeChild(c); return ~c.style.display.indexOf("box") ? a : Q
  }; A.init = function () {
    (A.flexboxSupported = y = A.flexboxSupport()) &&
    !y.partialSupport || !O || va()
  }; A.version = "1.0.3"; (function (a) { Y || (O = ya()); var e = X, c, b, d, f, g; for (f in e) if (e.hasOwnProperty(f) && (g = e[f], n[f] && (!c && g.m) && (c = eval(g.m.replace("*", f)), b = g.c ? eval(g.c.replace("*", f)) : n, d = [], c && b))) { g.p && d.push(g.p); d.push(a); c.apply(b, d); break } c || Z("load", a) })(A.init); return A
}(this, document);